//
// Copyright 2017 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//

package de.frankmuenster.jameica.depot.finanzen;

/**
 * @author Frank Mnster
 *
 */
public class StockInfoBean_old {

	/**
	 * B&ouml;senplatz
	 */
	protected String exchange;
	/**
	 * Wertpapiername
	 */
	protected String name;
	/**
	 * Wertpapiertyp
	 */
	protected String type;
	/**
	 * Ein Beschreibung
	 */
	protected String description;

	/**
	 * Standardkonstruktor
	 */
	public StockInfoBean_old() {
		super();
	}

	/**
	 * Konstruktor mit Angabe aller Felder.
	 *
	 * @param name
	 *            der Wertpapiername
	 * @param exchange
	 *            Der B&ouml;rsenplatz
	 * @param type
	 *            Der Wertpapiertyp
	 * @param description
	 *            Die Beschreibung
	 */
	public StockInfoBean_old(final String name, final String exchange, final String type, final String description) {
		this.name = name;
		this.exchange = exchange;
		this.type = type;
		this.description = description;
	}

	/**
	 * Liefert den b&ouml;rsenplatz
	 *
	 * @return der b&ouml;rsenplatz
	 */
	public String getExchange() {
		return this.exchange;
	}

	/**
	 * Liefert den Wertpapiernamen
	 *
	 * @return der Wertpapiernamen
	 */
	public String getName() {
		return this.name;
	}

	/**
	 * Liefert den Wertpapiertyp
	 *
	 * @return der Wertpapiertyp
	 */
	public String getType() {
		return this.type;
	}

	/**
	 * Setzt den b&ouml;rsenplatz
	 *
	 * @param exchange
	 *            der b&ouml;rsenplatz
	 */
	public void setExchange(final String exchange) {
		this.exchange = exchange;
	}

	/**
	 * Setzt den Wertpapiernamen
	 *
	 * @param name
	 *            der Wertpapiernamen
	 */
	public void setName(final String name) {
		this.name = name;
	}

	/**
	 * Setzt den Wertpapiertyp
	 *
	 * @param type
	 *            der Wertpapiertyp
	 */
	public void setType(final String type) {
		this.type = type;
	}

	/**
	 * @see Object#toString()
	 */
	@Override
	public String toString() {
		final StringBuffer stringBuffer = new StringBuffer();
		if (this.name != null) {
			stringBuffer.append('\t');
			stringBuffer.append(this.name);
		}
		if (this.exchange != null) {
			stringBuffer.append('\t');
			stringBuffer.append(this.exchange);
		}
		if (this.type != null) {
			stringBuffer.append('\t');
			stringBuffer.append(this.type);
		}
		return stringBuffer.toString();
	}

	/**
	 * @return the description
	 */
	public String getDescription() {
		return this.description;
	}

	/**
	 * @param description
	 */
	public void setDescription(final String description) {
		this.description = description;

	}

}