/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.MOM; // NOPMD

import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.jameica.depot.kursanalyse.dialog.AbstractAddAnalyseDialog;
import de.frankmuenster.jameica.depot.utils.I18N;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.jameica.gui.input.IntegerInput;
import de.willuhn.jameica.gui.parts.ButtonArea;
import de.willuhn.jameica.gui.util.Container;
import de.willuhn.jameica.gui.util.SimpleContainer;
import de.willuhn.util.ApplicationException;

/**
 * Momentum AddDialog
 *
 * @author Frank Mnster
 */
public class MomentumAddDialog extends AbstractAddAnalyseDialog<Integer> {

    /**
     * Standardwert
     */
    private transient int result = 14;

    /**
     * Erzeugt einen neuen AddDialog
     */
    public MomentumAddDialog() {
	super(AbstractDialog.POSITION_CENTER, false);
	this.setTitle(I18N.tr("MomentumAddDialog.dialogTitle")); //$NON-NLS-1$
	this.setSize(270, 160);
    }

    /**
     * de.willuhn.jameica.gui.dialogs.AbstractDialog.getData()
     */
    @Override
    protected Integer getData() {
	return this.result;
    }

    /**
     * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#paint(Composite
     *      parent)
     */
    @Override
    protected void paint(final Composite parent) {

	final GridLayout layout = new GridLayout();
	layout.numColumns = 1;
	// layout.makeColumnsEqualWidth = true;
	parent.setLayout(layout);

	// Erstelle einfachen Container
	final Container container = new SimpleContainer(parent, true, 2);

	final IntegerInput period = new IntegerInput();
	period.setHint(Integer.toString(this.result));
	period.setName(I18N.tr("MomentumAddDialog.periodName")); //$NON-NLS-1$
	period.setComment(I18N.tr("MomentumAddDialog.periodComment", Integer.toString(this.result)));//$NON-NLS-1$
	container.addLabelPair(I18N.tr("MomentumAddDialog.lblPeriod"), period); //$NON-NLS-1$
	container.addText(" ", false); //$NON-NLS-1$

	final ButtonArea buttons = new ButtonArea();
	buttons.addButton(I18N.tr("MomentumAddDialog.btnAdd"), //$NON-NLS-1$
		new Action() {
		    /**
		     * @see de.willuhn.jameica.gui.Action#handleAction(Object
		     *      context)
		     */
		    @Override
		    public void handleAction(final Object context) throws ApplicationException {
			if (period.getValue() == null) {
			    MomentumAddDialog.this.result = 14;
			} else {
			    MomentumAddDialog.this.result = (Integer) period.getValue();
			}
			close();
		    }
		}, null, true, "ok.png"); //$NON-NLS-1$

	buttons.addButton(I18N.tr("_cancelBtn"), new Action() { //$NON-NLS-1$
	    /**
	     * @see de.willuhn.jameica.gui.Action#handleAction(Object context)
	     */
	    @Override
	    public void handleAction(final Object context) throws ApplicationException {
		MomentumAddDialog.this.result = 0;
		close();
	    }
	}, null, false, "window-close.png"); //$NON-NLS-1$

	container.addButtonArea(buttons);

    }

}
